=== debian/changelog ===
ros-humble-ur-robot-driver (2.2.8-1jammy) jammy; urgency=high

  * Use tf prefix properly (backport #688 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/688>) (#725 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/725>)
  * Use SCHED_FIFO for controller_manager's main thread (#719 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/719>) (#722 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/722>)
  * Contributors: mergify[bot]

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 25 Jun 2023 22:00:00 -0000

ros-humble-ur-robot-driver (2.2.7-1jammy) jammy; urgency=high

  * Calling on_deactivate in dtr (#679 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/679>) (#704 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/704>)
  * Adds full nonblocking readout support (Multiarm part 4)  - v2 (#673 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/673>) (#703 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/703>)
  * Correct calibration correction launch file in doc (#590 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/590>)
  * Introduce hand back control service (#528 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/528>) (#670 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/670>)
  * Update definition of test goals to new version. (backport #637 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/637>) (#668 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/668>)
  * Default path to ur_client_library urscript (#316 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/316>) (#553 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/553>)
    * Change default path for urscript for headless mode.
    * Replace urscript path also in newer ur_robot_driver launchfile
  * Wait longer for controllers to load and activate
  * Fix flaky tests (#641 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/641>)
  * Added services to set tool voltage and zero force torque sensor (#466 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/466>) (#582 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/582>)
  * Controller spawner timeout (backport #608 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/608>) (#609 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/609>)
  * Fix cmake dependency on controller_manager (backport #598 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/598>) (#599 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/599>)
  * Increase timeout for first test service call to driver (Backport of #605 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/605>) (#607 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/607>)
  * Update linters & checkers (backport #426 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/426>) (#556 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/556>)
  * Clean up & improve execution tests (Backport of #512 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/512>) (#552 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/552>)
  * Contributors: Felix Exner (fexner), Lennart Nachtigall, Robert Wilbrandt, mergify[bot], Denis Stogl, livanov93, Mads Holm Peters

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 01 Jun 2023 22:00:00 -0000

ros-humble-ur-robot-driver (2.2.6-1jammy) jammy; urgency=high

  * Cleanup humble branch (#545 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/545>)
  * Contributors: Felix Exner (fexner)

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 27 Nov 2022 23:00:00 -0000

ros-humble-ur-robot-driver (2.2.5-1jammy) jammy; urgency=high

  * ur_robot_driver: Controller_stopper fix deprecation warning
  * Fix tool voltage setup (#526 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/526>)
    * Move BEGIN_REPLACE inside of header
    * Change default value of tool_voltage
    Keeping this at 0 requires users to explicitly set it to non-zero. This way
    we won't accitentally destroy hardware that cannot handle 24V.
  * Added dependency to socat (#527 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/527>)
    This is needed for the tool forwarding.
  * Add a note in the tool_comm doc about a URCap conflict (#524 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/524>)
    * Add a note in the tool_comm doc about a URCap conflict
    * Update ur_robot_driver/doc/setup_tool_communication.rst
    Co-authored-by: Mads Holm Peters <mailto:79145214+urmahp@users.noreply.github.com>
    * Fix formatting and one spelling mistake
    Co-authored-by: Mads Holm Peters <mailto:79145214+urmahp@users.noreply.github.com>
  * Contributors: Felix Exner, Felix Exner (fexner)

 -- Denis Stogl <denis@stoglrobotics.de>  Fri, 18 Nov 2022 23:00:00 -0000

ros-humble-ur-robot-driver (2.2.4-1jammy) jammy; urgency=high

  * Remove the custom ursim docker files (#478 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/478>)
    This has been migrated inside the docs and is not needed anymore.
  * Remove duplicated update_rate parameter (#479 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/479>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 06 Oct 2022 22:00:00 -0000

ros-humble-ur-robot-driver (2.2.3-1jammy) jammy; urgency=high

  * Adapt ros control api (#448 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/448>)
    * scaled jtc: Use get_interface_name instead of get_name

