## ros-humble-ur-robot-driver 2.2.15

=== debian/changelog ===
ros-humble-ur-robot-driver (2.2.15-1bookworm) bookworm; urgency=high

  * Fix passing launch_dashobard_client launch argument (backport of #1057 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1057>)
  * Updated the UR family photo on the readme (backport of #1064 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1064>)
  * Contributors: Rune Søoe-Knudsen, Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.14-1bookworm) bookworm; urgency=high

  * Add sleep between controller stopper's controller queries (backport of #1038 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1038>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 30 Jun 2024 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.13-1bookworm) bookworm; urgency=high

  * Use robot_receive_timeout instead of keepalive_count (#1009 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1009>)
  * Remove extra spaces from start_ursim statement in tests (backport of #1010 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1010>)
  * Add calibration file to launch arguments (#1001 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1001>)
  * Contributors: Vincenzo Di Pentima, Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 16 Jun 2024 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.12-1bookworm) bookworm; urgency=high

  * Remove dependency to docker.io (backport #985 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/985>)
  * Simplify tests (backport of #849 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/849>)
  * Update installation instructions for source build (backport #967 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/967>)
  * Move installation instructions to subpage (backport #870 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/870>)
  * Reduce number of controller_spawners to 3 (#928 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/928>)
  * Fix multi-line strings in DeclareLaunchArgument (backport #948 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/948>)
  * "use_fake_hardware" for UR20 (#950 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/950>)
  * Contributors: Vincenzo Di Pentima, Felix Exner, Robert Wilbrandt, Matthijs van der Burgh

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 15 May 2024 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.11-1bookworm) bookworm; urgency=high

  * Add UR30 support (#930 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/930>)
  * Move communication setup to on_configure instead of on_activate (#936 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/936>)
  * Contributors: Felix Exner, Vincenzo Di Pentima

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.10-1bookworm) bookworm; urgency=high

  * Add backward_ros to driver (#872 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/872>) (#878 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/878>)
  * Port configuration  (#835 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/835>) (#847 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/847>)
  * Update link to MoveIt! documentation (#845 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/845>)
  * Contributors: mergify[bot]

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 02 Jan 2024 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.9-1bookworm) bookworm; urgency=high

  * Added a test that sjtc correctly aborts on violation of constraints
  * Added support for UR20 (#805 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/805>)
  * Introduced tf_prefix into log handler (#713 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/713>)
  * Start ursim from lib (#733 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/733>)
  * Run robot driver test also with tf_prefix (#729 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/729>)
  * Urscript interface (#721 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/721>) (#742 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/742>)
  * Contributors: Felix Exner, Lennart Nachtigall, mergify[bot]

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 21 Sep 2023 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.8-1bookworm) bookworm; urgency=high

  * Use tf prefix properly (backport #688 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/688>) (#725 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/725>)
  * Use SCHED_FIFO for controller_manager's main thread (#719 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/719>) (#722 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/722>)
  * Contributors: mergify[bot]

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 25 Jun 2023 16:00:00 -0000

ros-humble-ur-robot-driver (2.2.7-1bookworm) bookworm; urgency=high

  * Calling on_deactivate in dtr (#679 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/679>) (#704 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/704>)
  * Adds full nonblocking readout support (Multiarm part 4)  - v2 (#673 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/673>) (#703 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/703>)
  * Correct calibration correction launch file in doc (#590 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/590>)

